Subject: bug#23634: 25.0.90; Eldoc displays incorrect information when parameters contain question marks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 May 2016 10:59:53 +0300

> Cc: Eli Zaretskii <[email-masked]>
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 28 May 2016 00:42:35 +0300
> 
> On 05/28/2016 12:22 AM, Clément Pit--Claudel wrote:
> > In emacs -Q, placing the point as indicated below causes eldoc to display “a: (X\=\?)” instead of “a: (X?)”.
> >
> >     (defun a (x?)) ;; Eval this
> >     (a) ;; <-- place point before parens
> >
> > This “\=” looks like the escape sequence that we use in docstrings; maybe that's a sign of something?
> 
> Thanks for the report. This is a regression against 24.5.

Indeed, it is.

> Eli, do we make it a blocker?

I don't think so.  It sounds like a marginal use case that's easy to
avoid (this isn't Scheme, so predicates should be named SOMETHING-p,
not SOMETHING?).  But if someone wants to make a case why it should be
blocking, I'm all ears.

I also think that if a simple solution exists, we should fix this on
the release branch.

Thanks.